From 35555999f810f49b49ca2a6ec13d4f5b03503007 Mon Sep 17 00:00:00 2001
From: Pierre-Hugues Husson <husson@archos.com>
Date: Wed, 11 Jan 2017 10:24:08 +0100
Subject: [PATCH] Fix build for irssi 1.0.0

---
 core/quassel-net.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/core/quassel-net.c b/core/quassel-net.c
index 8a6eb55..9ab4829 100644
--- a/core/quassel-net.c
+++ b/core/quassel-net.c
@@ -117,6 +117,10 @@ static const char *get_nick_flags(SERVER_REC *server) {
 	return "";
 }
 
+// IRSSI_ABI_VERSION was introduced in 0.8.18
+#if !defined(IRSSI_ABI_VERSION) || IRSSI_ABI_VERSION < 6
+#  define use_tls use_ssl
+#endif
 static SERVER_REC* quassel_server_init_connect(SERVER_CONNECT_REC* conn) {
 	Quassel_SERVER_CONNECT_REC *r = (Quassel_SERVER_CONNECT_REC*) conn;
 
@@ -132,10 +136,10 @@ static SERVER_REC* quassel_server_init_connect(SERVER_CONNECT_REC* conn) {
 	ret->got = 0;
 	server_connect_ref(SERVER_CONNECT(conn));
 
-	if(conn->use_ssl) {
+	if(conn->use_tls)
 		ret->ssl = 1;
-	}
-	ret->connrec->use_ssl = 0;
+
+	ret->connrec->use_tls = 0;
 
 	ret->channels_join = quassel_irssi_channels_join;
 	ret->send_message = quassel_irssi_send_message;
